org.apache.sling.jcr.contentparser

## Class ContentParserFactory

- java.lang.Object
- - org.apache.sling.jcr.contentparser.ContentParserFactory

Deprecated.
since version 1.2.8 of the `org.apache.sling.jcr.contentparser` bundle; see `org.apache.sling.contentparser.api`

    @Deprecated
     @ProviderType
    public final class ContentParserFactory
    extends Object

Factory for content parsers.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static ContentParser` `create(ContentType type)` Deprecated. Create content parser.
`static ContentParser` `create(ContentType type, ParserOptions options)` Deprecated. Create content parser.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static ContentParser create(ContentType type)

Deprecated.
Create content parser.

Parameters:
  `type` - Content type
Returns:
  Content parser

#### create

    public static ContentParser create(ContentType type,
                                       ParserOptions options)

Deprecated.
Create content parser.

Parameters:
  `type` - Content type
  `options` - Parser options
Returns:
  Content parser